curl --request GET \
--url https://app.orgo.space/api/v1/my-tasks \
--header 'Api-Token: <api-key>'import requests
url = "https://app.orgo.space/api/v1/my-tasks"
headers = {"Api-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Token': '<api-key>'}};
fetch('https://app.orgo.space/api/v1/my-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/my-tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/my-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/my-tasks")
.header("Api-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/my-tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"project": {
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"name": "Boston Chapter",
"color": "#16A34A",
"issueStatuses": [
"/api/v1/issue_statuss/1"
]
},
"goal": {
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"name": "Boston Chapter",
"description": "Quarterly chapter meeting open to all members.",
"position": 42,
"dateStart": "2026-01-15T10:30:00+00:00",
"dateEnd": "2026-01-15T10:30:00+00:00"
},
"title": "Volunteer Coordinator",
"description": "Quarterly chapter meeting open to all members.",
"status": {
"id": 42,
"name": "Boston Chapter",
"position": 42,
"color": "#16A34A",
"isClosed": true
},
"priority": 42,
"createdBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"dateDue": "2026-01-15T10:30:00+00:00",
"dateStart": "2026-01-15T10:30:00+00:00",
"position": 42,
"progress": 42,
"estimatedMinutes": 42,
"dateCreated": "2026-01-15T10:30:00+00:00",
"dateUpdated": "2026-01-15T10:30:00+00:00",
"dateCompleted": "2026-01-15T10:30:00+00:00",
"type": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"mainPost": {
"mentions": [
"/api/v1/users/1"
],
"contactMentions": [
"/api/v1/contacts/1"
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"medias": [
"/api/v1/medias/1"
],
"isDeleted": false,
"parentId": 42
},
"commentsCount": 12,
"taskAssignees": [
{
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"user": "/api/v1/users/1",
"completedAt": "2026-01-15T10:30:00+00:00"
}
],
"blockedBy": [
"/api/v1/tasks/1"
],
"blocks": [
"/api/v1/tasks/1"
],
"assigneeCompletionStats": [
"string"
],
"subtaskStats": [
"string"
]
}
]List my assigned tasks
Returns tasks assigned to the current user across all active projects. Includes every task the user is one of the assignees of. Parameters: state=open (default) or completed (closed within the last 90 days, newest completion first); sort=due (default: due date soonest first, nulls last, then priority), project (project name first, then the due/completion order) or priority (highest first, unset last), so rows can be grouped without a group straddling pages; page (default 1); limit (default 10, max 100).
curl --request GET \
--url https://app.orgo.space/api/v1/my-tasks \
--header 'Api-Token: <api-key>'import requests
url = "https://app.orgo.space/api/v1/my-tasks"
headers = {"Api-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Token': '<api-key>'}};
fetch('https://app.orgo.space/api/v1/my-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/my-tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/my-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.orgo.space/api/v1/my-tasks")
.header("Api-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/my-tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"project": {
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"name": "Boston Chapter",
"color": "#16A34A",
"issueStatuses": [
"/api/v1/issue_statuss/1"
]
},
"goal": {
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"name": "Boston Chapter",
"description": "Quarterly chapter meeting open to all members.",
"position": 42,
"dateStart": "2026-01-15T10:30:00+00:00",
"dateEnd": "2026-01-15T10:30:00+00:00"
},
"title": "Volunteer Coordinator",
"description": "Quarterly chapter meeting open to all members.",
"status": {
"id": 42,
"name": "Boston Chapter",
"position": 42,
"color": "#16A34A",
"isClosed": true
},
"priority": 42,
"createdBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png"
},
"dateDue": "2026-01-15T10:30:00+00:00",
"dateStart": "2026-01-15T10:30:00+00:00",
"position": 42,
"progress": 42,
"estimatedMinutes": 42,
"dateCreated": "2026-01-15T10:30:00+00:00",
"dateUpdated": "2026-01-15T10:30:00+00:00",
"dateCompleted": "2026-01-15T10:30:00+00:00",
"type": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"mainPost": {
"mentions": [
"/api/v1/users/1"
],
"contactMentions": [
"/api/v1/contacts/1"
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"medias": [
"/api/v1/medias/1"
],
"isDeleted": false,
"parentId": 42
},
"commentsCount": 12,
"taskAssignees": [
{
"id": 42,
"uuid": "01938d8e-9c4f-7c2a-b8e1-3f7a9b8c4f12",
"user": "/api/v1/users/1",
"completedAt": "2026-01-15T10:30:00+00:00"
}
],
"blockedBy": [
"/api/v1/tasks/1"
],
"blocks": [
"/api/v1/tasks/1"
],
"assigneeCompletionStats": [
"string"
],
"subtaskStats": [
"string"
]
}
]Authorizations
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Query Parameters
The collection page number
The number of items per page
0 <= x <= 100asc, desc asc, desc asc, desc asc, desc Filter tasks by assignee
Response
Task collection
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

